## UDisksLinuxFilesystem

UDisksLinuxFilesystem — Linux implementation of UDisksFilesystem

## Functions

UDisksFilesystem * | udisks_linux_filesystem_new ()
void | udisks_linux_filesystem_update ()

## Types and Values

| UDisksLinuxFilesystem

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksFilesystemSkeleton
                ╰── UDisksLinuxFilesystem

## Implemented Interfaces

UDisksLinuxFilesystem implements GDBusInterface and UDisksFilesystem.

## Description

This type provides an implementation of the UDisksFilesystem interface on Linux.

## Functions

### udisks_linux_filesystem_new ()

    UDisksFilesystem *
    udisks_linux_filesystem_new (void);

Creates a new UDisksLinuxFilesystem instance.

#### Returns

A new UDisksLinuxFilesystem. Free with `g_object_unref()`.

### udisks_linux_filesystem_update ()

    void
    udisks_linux_filesystem_update (UDisksLinuxFilesystem *filesystem,
                                    UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

filesystem | A UDisksLinuxFilesystem. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxFilesystem

    typedef struct _UDisksLinuxFilesystem UDisksLinuxFilesystem;

The UDisksLinuxFilesystem structure contains only private data and should only be accessed using the provided API.